Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Packet132TileEntityData

    java.lang.Object
      net.minecraft.src.Packet
          net.minecraft.src.Packet132TileEntityData

    public class Packet132TileEntityData

extends Packet

Field Summary
`int` | `actionType` The type of update to perform on the tile entity.
`NBTTagCompound` | `customParam1` Custom parameter 1 passed to the tile entity on update.
`int` | `xPosition` The X position of the tile entity to update.
`int` | `yPosition` The Y position of the tile entity to update.
`int` | `zPosition` The Z position of the tile entity to update.

Fields inherited from class net.minecraft.src.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet132TileEntityData()`
`Packet132TileEntityData(int par1, int par2, int par3, int par4, NBTTagCompound par5NBTTagCompound)`

Method Summary
`int` | `getPacketSize()` Abstract.
`void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.src.Packet
`containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### xPosition

    public int xPosition

  The X position of the tile entity to update.

### yPosition

    public int yPosition

  The Y position of the tile entity to update.

### zPosition

    public int zPosition

  The Z position of the tile entity to update.

### actionType

    public int actionType

  The type of update to perform on the tile entity.

### customParam1

    public NBTTagCompound customParam1

  Custom parameter 1 passed to the tile entity on update.

Constructor Detail

### Packet132TileEntityData

    public Packet132TileEntityData()

### Packet132TileEntityData

    public Packet132TileEntityData(int par1,
                                   int par2,
                                   int par3,
                                   int par4,
                                   NBTTagCompound par5NBTTagCompound)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Specified by:
    `readPacketData` in class `Packet`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Specified by:
    `writePacketData` in class `Packet`
  Throws:
    `IOException`

### processPacket

    public void processPacket(NetHandler par1NetHandler)

  Passes this Packet on to the NetHandler for processing.

  Specified by:
    `processPacket` in class `Packet`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Specified by:
    `getPacketSize` in class `Packet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD